Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFDataFormat

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFDataFormat

public class HSSFDataFormat
extends java.lang.Object

Utility to identify builin formats. Now can handle user defined data formats also. The following is a list of the formats as returned by this class.

0, "General"
1, "0"
2, "0.00"
3, "#,##0"
4, "#,##0.00"
5, "($#,##0_);($#,##0)"
6, "($#,##0_);[Red]($#,##0)"
7, "($#,##0.00);($#,##0.00)"
8, "($#,##0.00_);[Red]($#,##0.00)"
9, "0%"
0xa, "0.00%"
0xb, "0.00E+00"
0xc, "# ?/?"
0xd, "# ??/??"
0xe, "m/d/yy"
0xf, "d-mmm-yy"
0x10, "d-mmm"
0x11, "mmm-yy"
0x12, "h:mm AM/PM"
0x13, "h:mm:ss AM/PM"
0x14, "h:mm"
0x15, "h:mm:ss"
0x16, "m/d/yy h:mm"

// 0x17 - 0x24 reserved for international and undocumented 0x25, "(#,##0_);(#,##0)"

0x26, "(#,##0_);[Red](#,##0)"

0x27, "(#,##0.00_);(#,##0.00)"

0x28, "(#,##0.00_);[Red](#,##0.00)"

0x29, "_(*#,##0_);_(*(#,##0);_(* \"-\"_);_(@_)"

0x2a, "_($*#,##0_);_($*(#,##0);_($* \"-\"_);_(@_)"

0x2b, "_(*#,##0.00_);_(*(#,##0.00);_(*\"-\"??_);_(@_)"

0x2c, "_($*#,##0.00_);_($*(#,##0.00);_($*\"-\"??_);_(@_)"

0x2d, "mm:ss"

0x2e, "[h]:mm:ss"

0x2f, "mm:ss.0"

0x30, "##0.0E+0"

0x31, "@" - This is text format.

0x31 "text" - Alias for "@"

Author:
  Andrew C. Oliver (acoliver at apache dot org), Shawn M. Laubach (slaubach at apache dot org)

Constructor Summary
`HSSFDataFormat(Workbook workbook)` Construncts a new data formatter.

Method Summary
`static java.lang.String` | `getBuiltinFormat(short index)` get the format string that matches the given format index
`static short` | `getBuiltinFormat(java.lang.String format)` get the format index that matches the given format string
`static java.util.List` | `getBuiltinFormats()`
`java.lang.String` | `getFormat(short index)` get the format string that matches the given format index
`short` | `getFormat(java.lang.String format)` get the format index that matches the given format string.
`static int` | `getNumberOfBuiltinBuiltinFormats()` get the number of builtin and reserved builtinFormats

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSSFDataFormat

    public HSSFDataFormat(Workbook workbook)

  Construncts a new data formatter. It takes a workbook to have access to the workbooks format records.

Parameters:
  `workbook` - the workbook the formats are tied to.

Method Detail

### getBuiltinFormats

    public static java.util.List getBuiltinFormats()

### getBuiltinFormat

    public static short getBuiltinFormat(java.lang.String format)

  get the format index that matches the given format string

  Automatically converts "text" to excel's format string to represent text.

  Parameters:
    `format` - string matching a built in format
  Returns:
    index of format or -1 if undefined.

### getFormat

    public short getFormat(java.lang.String format)

  get the format index that matches the given format string. Creates a new format if one is not found. Aliases text to the proper format.

  Parameters:
    `format` - string matching a built in format
  Returns:
    index of format.

### getFormat

    public java.lang.String getFormat(short index)

  get the format string that matches the given format index

  Parameters:
    `index` - of a format
  Returns:
    string represented at index of format or null if there is not a format at that index

### getBuiltinFormat

    public static java.lang.String getBuiltinFormat(short index)

  get the format string that matches the given format index

  Parameters:
    `index` - of a built in format
  Returns:
    string represented at index of format or null if there is not a builtin format at that index

### getNumberOfBuiltinBuiltinFormats

    public static int getNumberOfBuiltinBuiltinFormats()

  get the number of builtin and reserved builtinFormats

  Returns:
    number of builtin and reserved builtinFormats

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.